PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::InterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT > Struct Template Reference

Base class for lazy data (vector) that perform interpolation. More...

`#include <plask/mesh/interpolation.hpp>`

Inheritance diagram for plask::InterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >:
[legend]
Collaboration diagram for plask::InterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >:
[legend]

## Public Member Functions
| InterpolatedLazyDataImpl (const shared_ptr< const SrcMeshType > &src_mesh, const DataVector< const SrcT > &src_vec, const shared_ptr< const MeshD< SrcMeshType::DIM > > &dst_mesh, const InterpolationFlags &flags)
std::size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< DstT >
virtual | ~LazyDataImpl ()
virtual DstT | at (std::size_t index) const=0
| Get index-th value from vector.
virtual DataVector< const DstT > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< DstT > | claim () const

## Public Attributes
shared_ptr< const SrcMeshType > | src_mesh
shared_ptr< const MeshD< SrcMeshType::DIM > > | dst_mesh
DataVector< const SrcT > | src_vec
InterpolationFlags | flags

## Additional Inherited Members
Public Types inherited from plask::LazyDataImpl< DstT >
typedef DstT | CellType

## Detailed Description

template<typename DstT, typename SrcMeshType, typename SrcT = DstT>
struct plask::InterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >

Base class for lazy data (vector) that perform interpolation.

It has reference to source (src_mesh) and destination (dst_mesh) meshes and to source data vector (src_vec).

Definition at line 417 of file interpolation.hpp.

## Constructor & Destructor Documentation

## ◆ InterpolatedLazyDataImpl()

template<typename DstT , typename SrcMeshType , typename SrcT = DstT>

plask::InterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >::InterpolatedLazyDataImpl | ( | const shared_ptr< const SrcMeshType > & | src_mesh,
|  | const DataVector< const SrcT > & | src_vec,
|  | const shared_ptr< const MeshD< SrcMeshType::DIM > > & | dst_mesh,
|  | const InterpolationFlags & | flags
| ) |  |
| inline

Definition at line 424 of file interpolation.hpp.

## Member Function Documentation

## ◆ size()

template<typename DstT , typename SrcMeshType , typename SrcT = DstT>

std::size_t plask::InterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >::size | ( |  | ) | const
| inline override virtual

Get the number of elements in this vector.

Returns
  the number of elements in this vector

Implements plask::LazyDataImpl< DstT >.

Definition at line 428 of file interpolation.hpp.

## Member Data Documentation

## ◆ dst_mesh

template<typename DstT , typename SrcMeshType , typename SrcT = DstT>

shared_ptr<const MeshD<SrcMeshType::DIM> > plask::InterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >::dst_mesh

Definition at line 420 of file interpolation.hpp.

## ◆ flags

template<typename DstT , typename SrcMeshType , typename SrcT = DstT>

InterpolationFlags plask::InterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >::flags

Definition at line 422 of file interpolation.hpp.

## ◆ src_mesh

template<typename DstT , typename SrcMeshType , typename SrcT = DstT>

shared_ptr<const SrcMeshType> plask::InterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >::src_mesh

Definition at line 419 of file interpolation.hpp.

## ◆ src_vec

template<typename DstT , typename SrcMeshType , typename SrcT = DstT>

DataVector<const SrcT> plask::InterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >::src_vec

Definition at line 421 of file interpolation.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/interpolation.hpp